summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christopher Walker <kris240376@gmail.com>2013-07-04 18:56:44 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-07-04 18:56:44 -0300
commit17675a3f825a0049627983d0e3882134a6f242f8 (patch)
tree8504d479d9303d13174fa4f3441125933660b65b
parent39070a8cb67a8cadc9fd8188a6a1dc820f4f3639 (diff)
downloadslackbuilds-17675a3f825a0049627983d0e3882134a6f242f8.tar.gz
slackbuilds-17675a3f825a0049627983d0e3882134a6f242f8.tar.xz
network/owncloud-client: Added (ownCloud sync client)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--network/owncloud-client/README5
-rw-r--r--network/owncloud-client/doinst.sh24
-rw-r--r--network/owncloud-client/owncloud-client.SlackBuild106
-rw-r--r--network/owncloud-client/owncloud-client.info10
-rw-r--r--network/owncloud-client/owncloud.desktop8
-rw-r--r--network/owncloud-client/slack-desc19
6 files changed, 172 insertions, 0 deletions
diff --git a/network/owncloud-client/README b/network/owncloud-client/README
new file mode 100644
index 0000000000..88e9282f01
--- /dev/null
+++ b/network/owncloud-client/README
@@ -0,0 +1,5 @@
+The ownCloud Sync Client is a desktop program you install on your computer.
+You specify one or more directories on the local machine to sync with your
+ownCloud server, and always have your latest files wherever you are. Make
+a change to the files on one computer, it will flow across the others using
+the desktop sync clients.
diff --git a/network/owncloud-client/doinst.sh b/network/owncloud-client/doinst.sh
new file mode 100644
index 0000000000..7c5efbb623
--- /dev/null
+++ b/network/owncloud-client/doinst.sh
@@ -0,0 +1,24 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config "$PKG/etc/owncloud-client/sync-exclude.lst.new"
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/owncloud-client/owncloud-client.SlackBuild b/network/owncloud-client/owncloud-client.SlackBuild
new file mode 100644
index 0000000000..0e8d594884
--- /dev/null
+++ b/network/owncloud-client/owncloud-client.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for owncloud-client
+
+# Copyright 2013 Christopher Walker Copperas Cove, TX
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=owncloud-client
+VERSION=${VERSION:-1.2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=mirall
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc/$PRGNAM \
+ -DCSYNC_INCLUDE_PATH=/usr/include/ocsync \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md COPYING COPYING.documentation ChangeLog README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cat $CWD/owncloud.desktop > $PKG/usr/share/applications/owncloud.desktop
+mv $PKG/etc/$PRGNAM/sync-exclude.lst $PKG/etc/$PRGNAM/sync-exclude.lst.new
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/owncloud-client/owncloud-client.info b/network/owncloud-client/owncloud-client.info
new file mode 100644
index 0000000000..08e84af381
--- /dev/null
+++ b/network/owncloud-client/owncloud-client.info
@@ -0,0 +1,10 @@
+PRGNAM="owncloud-client"
+VERSION="1.2.5"
+HOMEPAGE="http://owncloud.org/sync-clients/"
+DOWNLOAD="http://download.owncloud.com/download/mirall-1.2.5.tar.bz2"
+MD5SUM="2279761b409238f5c92507ba8062be4a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ocsync"
+MAINTAINER="Christopher Walker"
+EMAIL="kris240376@gmail.com"
diff --git a/network/owncloud-client/owncloud.desktop b/network/owncloud-client/owncloud.desktop
new file mode 100644
index 0000000000..564229ec7d
--- /dev/null
+++ b/network/owncloud-client/owncloud.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=ownCloud desktop sync client
+Comment=ownCloud desktop sync client
+Exec=/usr/bin/owncloud
+Icon=owncloud
+Type=Application
+GenericName=Folder Sync
+Categories=Network;FileTransfer;Cloud;Sync;
diff --git a/network/owncloud-client/slack-desc b/network/owncloud-client/slack-desc
new file mode 100644
index 0000000000..cb29ef31c4
--- /dev/null
+++ b/network/owncloud-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+owncloud-client: owncloud-client (ownCloud sync client)
+owncloud-client:
+owncloud-client: Sync client that works with the ownCloud cloud server.
+owncloud-client:
+owncloud-client: Homepage: http://owncloud.org/sync-clients/
+owncloud-client:
+owncloud-client:
+owncloud-client:
+owncloud-client:
+owncloud-client:
+owncloud-client: